{% extends "admin_site/base.html" %}
{% load static staticfiles widget_tweaks %}
{% block title %}Appointment Create{% endblock %}
{% block container %}
    <div class="row align-items-center justify-content-center">
        <div class="col-lg-6 col-md-6 mb-4">
            <!--Card-->
            <div class="card">
                <!--Card content-->
                <div class="card-body">
                    <!-- Register form -->
                    <form method="post">
                        <p class="h5 text-center mb-4">Create Appointment</p>
                        {% csrf_token %}
                        {% for hidden_field in form.hidden_fields %}
                            {{ hidden_field }}
                        {% endfor %}
                        {% if form.non_field_errors %}
                            <div class="alert alert-danger" role="alert">
                                {% for error in form.non_field_errors %}
                                    {{ error }}
                                {% endfor %}
                            </div>
                            <div class="mt-5"></div>
                        {% endif %}
                        {% for field in form.visible_fields %}
                            {% if form.is_bound %}
                                {% if field.errors %}
                                    <div class="md-form has-error">
                                        {% render_field field %}
                                        {{ field.label_tag }}
                                        {% for error in field.errors %}
                                            <span class="text-danger help-block">{{ error }}</span>
                                        {% endfor %}
                                    </div>
                                {% else %}
                                    <div class="md-form">
                                        {% render_field field %}
                                        {{ field.label_tag }}
                                    </div>
                                {% endif %}
                            {% else %}
                                <div class="md-form">
                                    {% render_field field %}
                                    {{ field.label_tag }}
                                </div>
                            {% endif %}
                            {% if field.help_text %}
                                <small class="form-text text-muted">{{ field.help_text }}</small>
                            {% endif %}
                        {% endfor %}

                        {% if redirect_field_value %}
                            <div class="row">
                                <input type="hidden" name="{{ redirect_field_name }}"
                                       value="{{ redirect_field_value }}"/>
                            </div><!--end .row -->
                        {% endif %}
                        <div class="text-center mt-4">
                            <input type="submit" class="btn btn-primary waves-effect waves-light" value="Submit">
                        </div><!--end .col -->

                        <br>
                        <div class="row">
                            <div class="text-danger">{{ form.non_field_errors }}</div>
                        </div>
                    </form>
                    <!-- Register form -->

                </div>

            </div>
            <!--/.Card-->

        </div>
    </div>
{% endblock %}
